module GrisPaginator
  module PaginationHelpers
    def paginate(klass, conditions: {}, sort: nil, with: nil)
      fail ArgumentError, ':with argument required' if with.nil?
      order = sort.blank? ? params[:sort] : sort
      present klass
        .order(order)
        .where(conditions)
        .page(params[:page])
        .per(params[:size]),
              with: with
    end

    Grape::Endpoint.send :include, self if defined? Grape
  end
end
